@font-face {
    font-family: "ir";
    src: url("./fonts/IRANSans/eot/IRANSansWeb.eot") format("embedded-opentype"), url("./fonts/IRANSans/ttf/IRANSansWeb.ttf") format("truetype"), url("./fonts/IRANSans/woff/IRANSansWeb.woff") format("woff"), url("./fonts/IRANSans/woff2/IRANSansWeb.woff2") format("woff2");
    /* Modern Browsers */
}

@font-face {
    font-family: "ir-black";
    src: url("./fonts/IRANSans/eot/IRANSansWeb_Black.eot") format("embedded-opentype"), url("./fonts/IRANSans/ttf/IRANSansWeb_Black.ttf") format("truetype"), url("./fonts/IRANSans/woff/IRANSansWeb_Black.woff") format("woff"), url("./fonts/IRANSans/woff2/IRANSansWeb_Black.woff2") format("woff2");
    /* Modern Browsers */
}

@font-face {
    font-family: "ir-bold";
    src: url("./fonts/IRANSans/eot/IRANSansWeb_Bold.eot") format("embedded-opentype"), url("./fonts/IRANSans/ttf/IRANSansWeb_Bold.ttf") format("truetype"), url("./fonts/IRANSans/woff/IRANSansWeb_Bold.woff") format("woff"), url("./fonts/IRANSans/woff2/IRANSansWeb_Bold.woff2") format("woff2");
    /* Modern Browsers */
}

@font-face {
    font-family: "ir-light";
    src: url("./fonts/IRANSans/eot/IRANSansWeb_Light.eot") format("embedded-opentype"), url("./fonts/IRANSans/ttf/IRANSansWeb_Light.ttf") format("truetype"), url("./fonts/IRANSans/woff/IRANSansWeb_Light.woff") format("woff"), url("./fonts/IRANSans/woff2/IRANSansWeb_Light.woff2") format("woff2");
    /* Modern Browsers */
}

@font-face {
    font-family: "ir-medium";
    src: url("./fonts/IRANSans/eot/IRANSansWeb_Medium.eot") format("embedded-opentype"), url("./fonts/IRANSans/ttf/IRANSansWeb_Medium.ttf") format("truetype"), url("./fonts/IRANSans/woff/IRANSansWeb_Medium.woff") format("woff"), url("./fonts/IRANSans/woff2/IRANSansWeb_Medium.woff2") format("woff2");
    /* Modern Browsers */
}

@font-face {
    font-family: "ir-ulight";
    src: url("./fonts/IRANSans/eot/IRANSansWeb_UltraLight.eot") format("embedded-opentype"), url("./fonts/IRANSans/ttf/IRANSansWeb_UltraLight.ttf") format("truetype"), url("./fonts/IRANSans/woff/IRANSansWeb_UltraLight.woff") format("woff"), url("./fonts/IRANSans/woff2/IRANSansWeb_UltraLight.woff2") format("woff2");
    /* Modern Browsers */
}

:root {
    --safe-area-inset-top: env(safe-area-inset-top, 0px);
    --safe-area-inset-bottom: env(safe-area-inset-bottom, 0px);
    --safe-area-inset-left: env(safe-area-inset-left, 0px);
    --safe-area-inset-right: env(safe-area-inset-right, 0px);
}

* {
    -webkit-tap-highlight-color: transparent;
}

body {
    font-family: 'ir';
    margin: 0;
    padding: var(--safe-area-inset-top) var(--safe-area-inset-right) var(--safe-area-inset-bottom) var(--safe-area-inset-left);
    width: 100vw;
    height: 100vh;
    min-height: 100vh;
    max-height: 100vh;
    overflow-x: hidden;
}

.loading {
    height: 100vh;
    background-color: #000000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: fixed;
    width: 100vw;
    z-index: 100001;
    align-items: center;
}

.loader {
    height: 15px;
    aspect-ratio: 5;
    --_g: no-repeat radial-gradient(farthest-side, #05ea11 94%, #0000);
    background: var(--_g), var(--_g), var(--_g), var(--_g);
    background-size: 20% 100%;
    animation:
        l40-1 .75s infinite alternate,
        l40-2 1.5s infinite alternate;
}

@keyframes l40-1 {

    0%,
    10% {
        background-position: 0 0, 0 0, 0 0, 0 0
    }

    33% {
        background-position: 0 0, calc(100%/3) 0, calc(100%/3) 0, calc(100%/3) 0
    }

    66% {
        background-position: 0 0, calc(100%/3) 0, calc(2*100%/3) 0, calc(2*100%/3) 0
    }

    90%,
    100% {
        background-position: 0 0, calc(100%/3) 0, calc(2*100%/3) 0, 100% 0
    }
}

@keyframes l40-2 {

    0%,
    49.99% {
        transform: scale(1)
    }

    50%,
    100% {
        transform: scale(-1)
    }
}

.fs-sm {
    font-size: 0.9rem;
}

.kamelapp-link {
    color: #41d568;
    text-shadow: 0px 0px 0px #007d3f;
    font-size: 0.9rem;
}